html,
body {
  overscroll-behavior: none;
}

body {
  background-color: rgb(204, 245, 255);
  margin: 0;
  padding: 65px;
  box-sizing: border-box;
  font-family: "Noto Sans", sans-serif;
  overflow: scroll;
}
@font-face {
  font-family: semplicita;
  src: url("SemplicitaPro-Bold.ttf") format("truetype");
}

.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 24px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 12px;
  width: 12px;
  left: 2px;
  right: 70px;
  bottom: 6px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: #2196f3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

#main_video_div {
  position: relative;
}

.nav-link {
  color: black;
}

.avatar {
  height: 30px;
  width: 30px;
}

/* ------------------  Register Page ------------------ */

#form-container {
  width: 400px;
  box-shadow: var(--shaddow);
  background-color: #fff;
  padding: 30px;
  border-radius: 5px;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#logo {
  display: block;
  width: 100px;
  margin: 0 auto;
}

#welcome-message {
  text-align: center;
  margin-bottom: 20px;
}

#welcome-message h1 {
  font-size: 36px;
}

#welcome-message p {
  font-size: 16px;
  color: rgb(97, 98, 105);
  font-weight: 300;
}

.form-field {
  margin-bottom: 20px;
}

.form-field label {
  font-size: 16px;
  line-height: 1.7em;
}

.form-field input {
  width: 100%;
  border: 2px solid rgba(198, 202, 219, 1);
  border-radius: 5px;
  padding: 10px;
  font-size: 16px;
  box-sizing: border-box;
}

.form-field input[type="submit"] {
  background-color: rgb(75, 93, 172);
  border: none;
  color: #fff;
}

@media screen and (max-width: 450px) {
  #form-container {
    width: 95%;
  }

  #welcome-message h1 {
    font-size: 24px;
  }
}

/* ----------------- Room Styling ------------------*/
#room-name-wrapper {
  font-size: 14px;
  position: absolute;
  color: white;
  right: 2px;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
  padding: 5px;
  border-radius: 5px;
  top: -10px;
  border: 1px solid lightskyblue;
}

#video-streams {
  display: flex;
  flex-wrap: wrap;
  width: 100% !important;
  margin: 0 auto;
  height: 50vh;
}

.video-box {
  flex-basis: 250px;
  flex-grow: 1;
  max-height: 100%;
  /* min-height: 350px; */
  border: 1px solid rgb(75, 93, 172);
  border-radius: 5px;
  margin: 2px;
  background-color: rgba(198, 202, 219, 1);
  position: relative;
}

.video-player {
  height: 100%;
  width: 100%;
}

.video-player > * {
  border-radius: 5px;
}

.username-wrapper {
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: 1;
  width: fit-content;
  padding: 10px;
  border-radius: 5px;
  color: #fff;
  font-size: 14px;
}

@media screen and (max-width: 1650px) {
  .video-box {
    flex-basis: 300px;
    min-height: 200px;
  }
}

/* ----------------- Room Styling | Controls ------------------*/

#controls-wrapper {
  display: flex;
  width: 100%;
  justify-content: center;
  column-gap: 1em;
  position: absolute;
  bottom: 20px;
  color: white;
}

.control-icon {
  height: 10px;
  width: 10px;
  color: #05f53d;
  cursor: pointer;
  padding: 10px;
  border-radius: 20px;
  justify-content: center;
}

i.bi {
  cursor: pointer;
  user-select: none;
}

#leave-btn:hover {
  color: red;
}

/* #leave-btn{
    background-color: rgb(255, 80, 80, 1);
} */

.radio-div {
  padding-left: 10px;
}

#radio-text {
  width: 1200px;
  top: 0;
}

@media (min-width: 400px) {
  #radio-text {
    width: 1200px;
    top: 0;
  }
}

#sp1,
#sp2 {
  display: none;
}

input[value="male"]:checked ~ #sp1 {
  display: initial;
}

input[value="female"]:checked ~ #sp2 {
  display: initial;
}

.nice-select .current,
.nice-select .option {
  color: #848e9f;
}

.p-20 {
  padding: 20px;
}

/* styling specific to select2 lib */
.select2-dropdown {
  z-index: 1060 !important;
}

.select2-container--default .select2-selection--multiple {
  background-color: #fff;
  border: 1px solid #ced4da !important;
  border-radius: 6px;
  font-size: 1rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.select2-container--default.select2-container--focus
  .select2-selection--multiple {
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.select2-search__field::placeholder {
  color: #212529 !important;
}

.select2-search__field {
  margin-bottom: 5px !important;
  margin-left: 10px !important;
  margin-top: 8px !important;
}
